include: "https://git.autistici.org/pipelines/containers/raw/master/common.yml"

# test the newly built container before releasing it.
test:
  stage: container-test
  image: registry.git.autistici.org/pipelines/images/test/float-podman-runner:master
  tags: [podman]
  variables:
    APACHE_PORT: 8080
    SITE_URL: "http://localhost:8080"
  before_script:
    - echo -n "$CI_JOB_TOKEN" | podman login -u gitlab-ci-token --password-stdin $CI_REGISTRY
  script:
    - with-container --expose=8080 $IMAGE_TAG ./docker/test.sh

